import { IOptions } from './IOptions';
import IVideoEvent from './IVideoEvent';
export default interface IVideo {
    play(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    prepare(uri: string, x: number, y: number, width: number, height: number, options: IOptions): Promise<void>;
    stop(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    pause(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    resume(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    onceEnded(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    onceStop(uri: string, x: number, y: number, width: number, height: number): Promise<void>;
    onPlay(listener: (event: IVideoEvent) => void): void;
    onPrepare(listener: (event: IVideoEvent) => void): void;
    onStop(listener: (event: IVideoEvent) => void): void;
    onPause(listener: (event: IVideoEvent) => void): void;
    onResume(listener: (event: IVideoEvent) => void): void;
    onEnded(listener: (event: IVideoEvent) => void): void;
    onError(listener: (event: IVideoEvent) => void): void;
    removeEventListeners(): void;
}
